This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 795138 - crash on NetworkManager Enable Networking disable+enable
crash on NetworkManager Enable Networking disable+enable
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kernel_hibernate
  Show dependency treegraph
 
Reported: 2012-02-19 12:06 EST by Jan Kratochvil
Modified: 2012-09-04 13:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 13:13:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2012-02-19 12:06:43 EST
Description of problem:
When I occasionally go mobile with Lenovo X220 notebook it crashes while trying to resume networking later.

Version-Release number of selected component (if applicable):
kernel-3.2.6-3.fc16.x86_64
It always happened on this X220 - at least since October.

How reproducible:
approx. 50% of cases, I never tried to reproduce it artificially.

Steps to Reproduce:
1. Turn off NetworkManager->Enable Networking.
2. Run powertop, switch all Tunables to Good.
 - not sure if it is required or not.
3. Do some work, maybe incl. pm-hibernate.
4. Turn on NetworkManager->Enable Networking.

Actual results:
Screen switches to text from X (like ctrl-alt-f2).
There are some unrecognized mangled text messages on the bottom line.
Machine is completely dead (from keyboard, unaware if from network).

Expected results:
No crash.

Additional info:
kdump: Nothing dumped, it is configured/running.
netconsole: Nothing caught over ethernet by my other host.
Comment 1 Dave Jones 2012-03-22 12:37:38 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 2 Dave Jones 2012-03-22 12:42:54 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:51:02 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Josh Boyer 2012-03-28 14:00:14 EDT
[Mass hibernate bug update]

Dave Airlied has found an issue causing some corruption in the i915 fbdev after a resume from hibernate.  I have included his patch in this scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3940545

This will probably not solve all of the issues being tracked at the moment, but it is worth testing when the build completes.  If this seems to clear up the issues you see with hibernate, please report your results in the bug.

Note You need to log in before you can comment on or make changes to this bug.